<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – Visual Settings</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="visual-settings">Visual Settings</h1>
<h1 id="overview">Overview</h1>
<p>Cacti's Visual settings page is where you can go to globally control the behavior of Cacti's GUI. Settings like the default Theme, the maximum allowed size of a Graph Title, auto-complete settings, as well as a myriad of other settings can be found here.</p>
<p>The Visual page is broken down into several sub-sections. We will cover them and the meaning of the various settings here.</p>
<blockquote>
<p><strong>NOTE</strong>: This is a popular page for Plugin developers to augment. Therefore, if you have installed Plugins, your Settings page may look different than the default page.</p>
</blockquote>
<h2 id="theme-table-tree-and-filter-settings">Theme, Table, Tree, and Filter Settings</h2>
<p>The image below shows the default layout for these sub-sections.</p>
<p><img src="images/settings-visual-1.png" alt="Settings Visual Theme, Table, Tree and Filter" /></p>
<p>Those settings include:</p>
<ul>
<li><strong>Theme</strong> - The default theme that users logging into Cacti receive</li>
<li><strong>Rows Per Page</strong> - For all standard Cacti tables, the number of rows to show per page.</li>
<li><strong>Auto-complete Enabled</strong> - Many drop-downs do not scale well with thousands of items. In those cases, Cacti has enabled a drop-down auto-complete feature most large installs should leverage it. However, if you are a small install you can choose to disable auto-complete.</li>
<li><strong>Auto-complete Rows</strong> - The maximum rows to show in an auto-complete response.</li>
<li><strong>Minimum Tree Width</strong> - The minimum width of the Tree panel in Cacti</li>
<li><strong>Maximum Tree Width</strong> - The maximum width of the Tree panel in Cacti. Above this width, tree items will scroll into the panel.</li>
<li><strong>Strip Domains from Device Drop-downs</strong> - Strip domain names from Device drop-downs to save horizontal filter space.</li>
</ul>
<h2 id="graph-data-source-data-query-log-settings">Graph, Data Source, Data Query, Log Settings</h2>
<p>The image below shows the default layout for these sub-sections.</p>
<p><img src="images/settings-visual-2.png" alt="Graph, Data Source, Data Query, Log Settings" /></p>
<p>Those settings include:</p>
<ul>
<li><strong>Maximum Title Length</strong> - The maximum length of a Graph or Data Source title. Titles above this length will be clipped.</li>
<li><strong>Data Source Field Length</strong> - When applying |query_*| replacement values, the maximum supported length of those variables. Variables longer than this will be clipped.</li>
<li><strong>Default Graph Type</strong> - When on the <strong>New Graphs</strong> page, which <strong>Graph Type</strong> filter should be the default. With <strong>Device Templates</strong> with many <strong>Data Queries</strong> or <strong>Graph Templates</strong>, this page can become very long. Allowing you to select your preferred <strong>Graph Type</strong> makes navigating the page easier.</li>
<li><strong>Default Log Tail Lines</strong> - When viewing the Cacti Log, how many lines should appear per page.</li>
<li><strong>Maximum number of rows per page</strong> - The maximum number of regular expression search matches to display, when searching.</li>
<li><strong>Log Tail Refresh</strong> - The frequency that the log pages should auto-refresh.</li>
<li><strong>Exclusion Reg-ex</strong> - This setting allows you to exclude certain log messages by regular expression from normal users. Expressions that include login log entries are common here to mask the login accounts of users.</li>
</ul>
<h2 id="realtime-and-rrdtool-graph-options">Realtime and RRDtool Graph Options</h2>
<p>The image below shows the default layout for these sub-sections.</p>
<p><img src="images/settings-visual-3.png" alt="Realtime and RRDtool Graph Options" /></p>
<p>Those settings include:</p>
<ul>
<li><strong>Enable Real-time Graphing</strong> - Allow Realtime graphs to be used in Cacti.</li>
<li><strong>Graph Time-span</strong> - The default system level <code>Graph Timespan</code> use use when a user opens a Realtime <strong>Graph</strong> for the first time.</li>
<li><strong>Refresh Interval</strong> - The default system level <code>Refresh Interval</code> for the Realtime interface when a user first opens a Realtime <strong>Graph</strong>.</li>
<li><strong>Cacti Directory</strong> - Where should Cacti cache Realtime PNG's and RRDfiles.</li>
<li><strong>Custom Watermark</strong> - A watermark that will appear on every Cacti <strong>Graph</strong></li>
<li><strong>Disable RRDtool Watermark</strong> - Every RRDtool Graph includes a vertical watermark. This option allows you to disable that.</li>
<li>Font Selection Method** - This allows the system administrator to control, at a global level, how various text elements on RRDtool <strong>Graphs</strong> appear. The settings include: Theme, or System. When choosing <code>System</code>, your settings page will expand where you will then have additional control.</li>
</ul>
<blockquote>
<p><strong>NOTE</strong>: The RRDtool Watermark control requires a recent version of RRDtool, such as the 1.7 release. If you attempt to use this setting and your <strong>Graphs</strong> break, then upgrade RRDtool.</p>
</blockquote>
<h2 id="font-selection-options">Font Selection Options</h2>
<p>The image below shows the available Font Selection options when you override the Theme settings.</p>
<p><img src="images/settings-visual-4.png" alt="Font Selection Options" /></p>
<p>The sizes are in pixels, and the Font Settings can either be a True Type Font file path, or a valid Pango font-config value. For more information on Pango font-config values, see your operating systems documentation. However, you can normally see all the fonts installed on your Linux system by issuing the following command <code>fc-list</code>.</p>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
